package gonganxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type search struct {
	Tables
	visitor string `name:"visitor" role:"void"`
}

func (s search) List(m *ice.Message, arg ...string) {
	if len(arg) < 2 {
		m.Cmdy(s.Place, s.Select).Action()
	} else if len(arg) == 2 {
		m.FieldsSetDetail().Cmdy(s.Place, s.Select, model.UID, arg[1]).Action()
	}
	m.RenameAppend(model.TYPE, s.Keys(s.Place, model.TYPE))
	s.SelectJoin(m, s.Street, model.NAME, model.CITY_UID)
	s.SelectJoinCity(m)
	m.RenameAppend(model.CREATOR, model.USER_UID)
	s.SelectJoinUser(m)
	m.Display("")
}

func init() { ice.TeamCtxCmd(search{Tables: newTables()}) }
